Uses of Interface
io.helidon.common.parameters.Parameters
Packages that use Parameters
Package
Description
Support for parameters with multiple values.
URI utilities.
HTTP APIs and implementations usable by both server and client side of the HTTP story.
-
Uses of Parameters in io.helidon.common.parameters
Classes in io.helidon.common.parameters that implement interfaces with type arguments of type ParametersFields in io.helidon.common.parameters with type parameters of type ParametersModifier and TypeFieldDescriptionstatic final GenericType<Parameters> Parameters.GENERIC_TYPEGeneric type for parameters.Methods in io.helidon.common.parameters that return ParametersModifier and TypeMethodDescriptionParameters.Builder.build()static ParametersRead only parameters based on a map.static ParametersRead only parameters based on a map.static ParametersParameters.createSingleValueMap(String component, Map<String, String> params) Read only parameters based on a map with just a single value.static ParametersCreate empty (named) parameters. -
Uses of Parameters in io.helidon.common.uri
Subinterfaces of Parameters in io.helidon.common.uriModifier and TypeInterfaceDescriptioninterfaceHTTP Query representation.interfaceMutable HTTP query.Methods in io.helidon.common.uri that return ParametersModifier and TypeMethodDescriptionUriPath.matrixParameters()Path parameters collected from the full path.UriPathSegment.matrixParameters()All matrix parameters of this segment. -
Uses of Parameters in io.helidon.http
Methods in io.helidon.http that return ParametersModifier and TypeMethodDescriptiondefault ParametersServerRequestHeaders.cookies()Returns cookies (parsed from 'Cookie:' header) based on RFC6265.static ParametersHttpSupport.formParams(Supplier<Optional<Parameters>> formParams) Read form parameters.RoutedPath.pathParameters()Resolved parameters from path template.Methods in io.helidon.http that return types with arguments of type ParametersModifier and TypeMethodDescriptionstatic LazyValue<Parameters> HttpSupport.lazyFormParams(Supplier<Optional<Parameters>> formParams) Lazily read form parameters.Methods in io.helidon.http with parameters of type ParametersModifier and TypeMethodDescriptionHttpSupport.paramList(Parameters parameters, String name, String source) Get a mandatory list parameter.HttpSupport.paramOptionalList(Parameters parameters, String name) Get an optional list parameter.HttpSupport.paramOptionalValue(Parameters parameters, String name) Get an optional scalar parameter.static StringHttpSupport.paramValue(Parameters parameters, String name, String source) Get a mandatory scalar parameter.Method parameters in io.helidon.http with type arguments of type ParametersModifier and TypeMethodDescriptionstatic ParametersHttpSupport.formParams(Supplier<Optional<Parameters>> formParams) Read form parameters.static LazyValue<Parameters> HttpSupport.lazyFormParams(Supplier<Optional<Parameters>> formParams) Lazily read form parameters.